use warnings;
use strict;
use Test::More tests => 2;

use Fcntl;

use POWER::Utils::IO;

sub try {
    eval {
        $SIG{ALRM} = sub {die "blocking\n"};
        alarm 1;
        my $s = <STDIN>;
    };
    return $@;
}

my $pid = open STDIN, 'sleep 5 |' or die $!;
is(try(), "blocking\n",     q{STDIN blocking...});
Nonblock(\*STDIN);
is(try(), q{},              q{hocus-pocus: STDIN nonblocking...});
kill 1, $pid;

