use warnings;
use strict;
use Test::More tests => 6;

use Socket;

use POWER::Utils::IO;

my $PORT    = 42538;
my $IP      = '127.0.0.1';

my $server  = udp_server($IP, $PORT);
my $client1 = udp_client($IP, $PORT);
my $client2 = udp_client();

my $buf;

is(syswrite($client1, 'test'), 4, 'client1 write ok');
is(sysread($server, $buf, 512), 4, 'server read from client1');
is($buf, 'test', '... data ok');

my $to = sockaddr_in($PORT, inet_aton($IP));
is(send($client2, 'hello', 0, $to), 5, 'client2 send ok');
is(sysread($server, $buf, 512), 5, 'server read from client2');
is($buf, 'hello', '... data ok');

